package org.apache.bcel.classfile;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantInteger extends Constant implements ConstantObject {
  private int bytes;
  
  public ConstantInteger(org.apache.bcel.classfile.ConstantInteger c) {
    this(c.getBytes());
  }
  
  ConstantInteger(DataInput file) throws IOException {
    this(file.readInt());
  }
  
  public ConstantInteger(int bytes) {
    super((byte)3);
    this.bytes = bytes;
  }
  
  public void accept(Visitor v) {
    v.visitConstantInteger(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeInt(this.bytes);
  }
  
  public int getBytes() {
    return this.bytes;
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return Integer.valueOf(this.bytes);
  }
  
  public void setBytes(int bytes) {
    this.bytes = bytes;
  }
  
  public String toString() {
    return super.toString() + "(bytes = " + this.bytes + ")";
  }
}
